#pragma once
#include <stdlib.h>
#include <string>

#ifdef DWGLISTDLL_EXPORTS
#define DWGLIST_API __declspec(dllexport)
#else
#define DWGLIST_API __declspec(dllimport)
#endif

#define eNoError false

extern "C" DWGLIST_API const char* dwglist_getVersionNumber();
extern "C" DWGLIST_API bool dwglist_Init(const char* license);
extern "C" DWGLIST_API bool dwglist_UnInit();
extern "C" DWGLIST_API int  dwglist_ProcessFile(char* fName);
extern "C" DWGLIST_API int  dwglist_getNumberOfXrefs();
extern "C" DWGLIST_API const char* dwglist_getXrefName(unsigned int count);
extern "C" DWGLIST_API int dwglist_getNumberOfBlocks();
extern "C" DWGLIST_API const char* dwglist_getBlockName(unsigned int count);
extern "C" DWGLIST_API int dwglist_getNumberOfRasterReferences();
extern "C" DWGLIST_API const char* dwglist_getRasterReferenceName(unsigned int count);
extern "C" DWGLIST_API int dwglist_getNumberOfFonts();
extern "C" DWGLIST_API const char* dwglist_getFontName(unsigned int count);
extern "C" DWGLIST_API const char* dwglist_getFontPath(unsigned int count);

extern "C" DWGLIST_API int dwglist_getNumberOfInsertsForBlock(char* BlockName);
extern "C" DWGLIST_API const char* dwglist_selectBlockReference(int count);
extern "C" DWGLIST_API int dwglist_getNumberOfAttributesForCurrentInsert();
extern "C" DWGLIST_API const char* dwglist_getAttributeTagForCurrentInsert(int count);
extern "C" DWGLIST_API const char* dwglist_getAttributeValueForCurrentInsert(int count);
